{
  "schema_version": "1.4.0",
  "id": "GHSA-xpgm-72rm-72p4",
  "modified": "2025-02-04T21:32:19Z",
  "published": "2022-05-17T03:07:37Z",
  "aliases": [
    "CVE-2013-2094"
  ],
  "details": "The perf_swevent_init function in kernel/events/core.c in the Linux kernel before 3.8.9 uses an incorrect integer data type, which allows local users to gain privileges via a crafted perf_event_open system call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2013-2094"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/8176cced706b5e5d15887584150764894e94e02f"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:0829"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:0830"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:0832"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:0840"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:0841"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2013-2094"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=962792"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=8176cced706b5e5d15887584150764894e94e02f"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=8176cced706b5e5d15887584150764894e94e02f"
    },
    {
      "type": "WEB",
      "url": "http://lists.centos.org/pipermail/centos-announce/2013-May/019729.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.centos.org/pipermail/centos-announce/2013-May/019733.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2013-05/msg00008.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2013-05/msg00018.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2013-06/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2013-06/msg00009.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2013-06/msg00017.html"
    },
    {
      "type": "WEB",
      "url": "http://lkml.indiana.edu/hypermail/linux/kernel/1304.1/03652.html"
    },
    {
      "type": "WEB",
      "url": "http://lkml.indiana.edu/hypermail/linux/kernel/1304.1/03976.html"
    },
    {
      "type": "WEB",
      "url": "http://lkml.indiana.edu/hypermail/linux/kernel/1304.1/04302.html"
    },
    {
      "type": "WEB",
      "url": "http://news.ycombinator.com/item?id=5703758"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/121616/semtex.c"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2013-0830.html"
    },
    {
      "type": "WEB",
      "url": "http://twitter.com/djrbliss/statuses/334301992648331267"
    },
    {
      "type": "WEB",
      "url": "http://www.exploit-db.com/exploits/33589"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.8.9"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2013:176"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2013/05/14/6"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/93361"
    },
    {
      "type": "WEB",
      "url": "http://www.reddit.com/r/netsec/comments/1eb9iw"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1825-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1826-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1827-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1828-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1836-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1838-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-05-14T20:55:00Z"
  }
}